package it.unitn.disi.ronchet.miniCalculator;

import javafx.event.EventHandler;
import javafx.scene.control.TextField;
import javafx.scene.input.KeyEvent;

/**
 *
 * @author ronchet
 */
public class KBFilter implements EventHandler<KeyEvent> {

        MiniCalculator2 mc = null;

        KBFilter(MiniCalculator2 mc) {
            this.mc = mc;
        }

        @Override
        public void handle(KeyEvent e) {
            String t = e.getCharacter();
            if ("1234567890".contains(t)) {
                System.out.println("passing event " + e.getEventType());
                return;
            } else if (t.equals(".")) {
                if (e.getTarget() instanceof TextField) {
                    TextField tf = (TextField) (e.getTarget());
                    System.out.println(tf.getText());
                    if (tf.getText().contains(".")) {
                        System.out.println("filtering event " + e.getEventType());
                        e.consume();
                    } else {
                        System.out.println("passing event " + e.getEventType());
                    }
                    return;
                }
            } else if ("+-/*".contains(t)) {
                mc.compute(t);
            }
            System.out.println("filtering event " + e.getEventType());
            e.consume();
            return;
        }
    }
